This page was not yet optimized for use on mobile devices.
ViPr Cryptographic Module
Certificate details
| Certificate ID | #1256 |
|---|---|
| Status | historical |
| Historical reason | RNG SP800-131A Revision 1 Transition |
| Validation dates | 15.01.2010 , 28.05.2010 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Firmware-Hybrid |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Description | ViPr Cryptographic Module ver.1.0 is part of ViPr Video Conferencing system comprised of a ViPr Media Center Terminal running ViPr application software version 3.0.5 |
| Version (Hardware) | BCM5812, rev. A0 |
| Version (Firmware) | 3.0.5 |
| Tested configurations |
|
| Vendor | Aastra USA, Inc. http://www.aastra.com |
| Lab | ICSA |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-128, AESHash functions
MD5Protocols
SSL, TLSRandomness
PRNG, RNGLibraries
OpenSSLVendor
BroadcomSecurity level
Level 1, level 1Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 1256,
"dgst": "e7d5f7be5195d606",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"RNG#563",
"AES#1075"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"3.0.5"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {},
"certification_process": {},
"cipher_mode": {},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"OpenSSL": {
"OpenSSL": 10
}
},
"crypto_protocol": {
"TLS": {
"SSL": {
"SSL": 1
},
"TLS": {
"TLS": 5
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1075": 1,
"#563": 1
}
},
"fips_certlike": {
"Certlike": {
"AES-128": 6
}
},
"fips_security_level": {
"Level": {
"Level 1": 3,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 6
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"PRNG": 4
},
"RNG": {
"RNG": 15
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 35,
"FIPS PUB 140-2": 5
},
"RFC": {
"RFC 2246": 1,
"RFC 3261": 1,
"RFC 4474": 1,
"RFC3261": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 2,
"AES-128": 6
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Broadcom": {
"Broadcom": 6
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"RNG#563",
"AES#1075"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/Author": "Rumman Mahmud",
"/Company": "Corsec Security, Inc.",
"/CreationDate": "D:20100506163529-04\u002700\u0027",
"/Creator": "Acrobat PDFMaker 8.1 for Word",
"/Manager": "John Morris",
"/ModDate": "D:20100506163641-04\u002700\u0027",
"/Producer": "Acrobat Distiller 8.2.2 (Windows)",
"/SourceModified": "D:20100506202808",
"/Subject": "SUSK Security Module",
"/Title": "Non-Proprietary Security Policy",
"pdf_file_size_bytes": 917628,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://tolv.aastra.com/products/ViPr_Multimedia_Conferencing_pos.shtml"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 24
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "8129bfe4e140e765b17936cc3a796571dc8d9b3fddd5c8a635eaccc0c55045ae",
"source_hash": "83731f15d67fb6ced8842cfaac438154a84a58f366b2a257a5c92ea21e9e28d5",
"txt_hash": "0750eb1e6c84bde4547393ef1762342088cd57ce9946a816e7a428cfd6a4ce83"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/140crt1256.pdf",
"date_sunset": null,
"description": "ViPr Cryptographic Module ver.1.0 is part of ViPr Video Conferencing system comprised of a ViPr Media Center Terminal running ViPr application software version 3.0.5",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": null,
"fw_versions": "3.0.5",
"historical_reason": "RNG SP800-131A Revision 1 Transition",
"hw_versions": "BCM5812, rev. A0",
"level": 1,
"mentioned_certs": {},
"module_name": "ViPr Cryptographic Module",
"module_type": "Firmware-Hybrid",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": [
"Tested: 4402-A ViPr Desktop Terminal running Redhat Linux 2.4.31 OS"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2010-01-15",
"lab": "ICSA",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2010-05-28",
"lab": "",
"validation_type": "Update"
}
],
"vendor": "Aastra USA, Inc.",
"vendor_url": "http://www.aastra.com"
}
}